summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-04-17 22:30:52 +0200
committerMichał Górny <mgorny@gentoo.org>2020-04-17 22:33:41 +0200
commit39b0da7972d0944231ad94d972f1d5a7be43e69d (patch)
tree444da29833b6a7bf5039c1476b2c6d9c2754fca7 /dev-python/pylibacl
parentdev-python/pylibacl: Bump to 0.5.4_p20191217 snap (diff)
downloadgentoo-39b0da7972d0944231ad94d972f1d5a7be43e69d.tar.gz
gentoo-39b0da7972d0944231ad94d972f1d5a7be43e69d.tar.bz2
gentoo-39b0da7972d0944231ad94d972f1d5a7be43e69d.zip
dev-python/pylibacl: Also bump to 0.5.4
0.5.4 is the last version to support Python 2. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/pylibacl')
-rw-r--r--dev-python/pylibacl/Manifest1
-rw-r--r--dev-python/pylibacl/pylibacl-0.5.4.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/pylibacl/Manifest b/dev-python/pylibacl/Manifest
index 3100c2755e0..def98125c96 100644
--- a/dev-python/pylibacl/Manifest
+++ b/dev-python/pylibacl/Manifest
@@ -1,2 +1,3 @@
DIST pylibacl-0.5.4_p20191217.tar.gz 40283 BLAKE2B dfe5baababe4cce24bc12dd61263c30160e93be7dc0625abdcad9e4daed19c5ac1ebf43351f9f5815884162258884cd8c7e2edb323ec9ce51247a43d53fea20e SHA512 6d4a84e1885a2000226f956580a8e767216d6280d4b8ae1066e6a1c1f82708d06a4f2eacc3ae45ff7ae3b122125da9fb6afbaae038e117b63cd7d91ac95e2624
DIST pylibacl-v0.5.3.tar.gz 32792 BLAKE2B 005785dda2b7933ff71dd1296b1d4315a6492fc893aba56136c775f78b9aa3bd8f9d4898bbe0160fac53a306329977ddaecd073739531ba42dd0b6cc622b9eef SHA512 ea648acc3df9e1cf2fd68576b0b691a353b257d00b74fc80aa7f60089b9dbc912452ebe6b84da2930cac888b9047740530dd0e38b4d5be52c37fc6d3a29a7ce2
+DIST pylibacl-v0.5.4.tar.gz 35599 BLAKE2B 7970e9c688e5c1983a761d733836197783646bd612585e78feced37bd00a677f4b63382a3619d3261bc7a95ed1d0c62e2d255bba13faeaa9a197ea175e8ca088 SHA512 41de72dd29ffd6a8ddde2008eb440fb34c151b2e77b5187af919909d9785e46d0eea3b605d1e39408a4e3c17a856958fef916c1f6e557fd11454e6ed8bf120e8
diff --git a/dev-python/pylibacl/pylibacl-0.5.4.ebuild b/dev-python/pylibacl/pylibacl-0.5.4.ebuild
new file mode 100644
index 00000000000..26cae8f2707
--- /dev/null
+++ b/dev-python/pylibacl/pylibacl-0.5.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="POSIX ACLs (Access Control Lists) for Python"
+HOMEPAGE="
+ https://pylibacl.k1024.org/
+ https://pypi.org/project/pylibacl/
+ https://github.com/iustin/pylibacl/"
+SRC_URI="https://github.com/iustin/pylibacl/archive/${PN}-v${PV}.tar.gz"
+S=${WORKDIR}/${PN}-${PN}-v${PV}
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="sys-apps/acl"
+DEPEND=${RDEPEND}
+
+python_test() {
+ if ! "${EPYTHON}" test/test_acls.py -v; then
+ eerror
+ eerror "If you got the following errors:"
+ eerror "\"IOError: [Errno 95] Operation not supported\","
+ eerror "then you should remount the filesystem containing"
+ eerror "build directory with \"acl\" option enabled."
+ eerror
+ die "Tests fail with ${EPYTHON}"
+ fi
+}